{% load pwa %}
{% progressive_web_app_meta %}

<!DOCTYPE html>
<html lang="en">

<head>
  {% load static %}
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta charset="utf-8">
  <title>Mis Perris</title>
  <link rel="stylesheet" href="{% static 'core/css/estilos.css' %}">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css"
    integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
  {% block head %}
  {% endblock %}

  <!-- The core Firebase JS SDK is always required and must be listed first -->
  <!--  <script src="https://www.gstatic.com/firebasejs/3.9.0/firebase-app.js"></script>-->
  <!--<script src="https://www.gstatic.com/firebasejs/3.9.0/firebase-messaging.js"></script>-->
  <!-- Insert this script at the bottom of the HTML, but before you use any Firebase services -->
  <!-- Add the entire Firebase JavaScript SDK -->
    <script src="https://www.gstatic.com/firebasejs/7.23.0/firebase.js"></script>


<script>
  // Your web app's Firebase configuration
  // For Firebase JS SDK v7.20.0 and later, measurementId is optional
  var firebaseConfig = {
    apiKey: "AIzaSyDSe1qSPXatV5NGHWtRm-iwKuf64e9QKL4",
    authDomain: "proyectomisperris.firebaseapp.com",
    databaseURL: "https://proyectomisperris.firebaseio.com",
    projectId: "proyectomisperris",
    storageBucket: "proyectomisperris.appspot.com",
    messagingSenderId: "475152357839",
    appId: "1:475152357839:web:843051c81386bf7d209aba",
    measurementId: "G-5MSYDW7Q4W"
  };
  // Initialize Firebase
  firebase.initializeApp(firebaseConfig);
  firebase.analytics();


    let messaging = firebase.messaging();

    //registrar serviceWorker para que no nos sobrescriba el nuestro    
    navigator.serviceWorker.register('./serviceworker.js').then(function(register){
      
      messaging.useServiceWorker(register);

      //Solicitar Permiso de usuario
      messaging.requestPermission().then(function(){
        console.log("el usuario ha aceptado notificaciones");
        return messaging.getToken();

        
      }).then(function(token){
        console.log(token);

        //enviar token hacia django para guardarlo en bd 
        fetch('guardar-token/', {
          method: 'post',
          headers:{
            'Content-Type':'application/json',
            'Accept': 'application/json'
          },
          body:JSON.stringify({
            'token':token
          })
        }).then(function(resultado){
          console.log("Se ha guardado el token");
        }).catch(function(e){
          console.log("No se ha podido guardar el token");
        })

               
      }).catch(function(e){
        console.log("el usuario NO ha aceptado notificaciones");
      })


    })

    messaging.onMessage(function(payload){
        console.log("ha llegado la notificación");

        let data = payload;
        console.log(data);

        let title = "Titulo Test";
        
        let options = {
          body:"Mensaje de prueba",
          icon: "/static/core/img/logo.png"
        }

        let mensaje = new Notification(title, options);
      });



  </script>
</head>

<body>
  <div id="wrapper">
    <section id="top">
      <section id="logo">
        <a href="{% url 'home' %}"> <img src="{% static 'core/img/logo.png' %}" alt="Logo Mis Perris"> </a>
      </section>
      <nav>
        <ul>
          <li><a href="{% url 'home' %}">inicio</a></li>
          <li><a href="{% url 'misPerris' %}">mis perris</a></li>
          <li><a href="{% url 'contacto' %}">contáctanos</a></li>
          
            <li><a href="{% url 'crearMascota' %}">Crear Mascotas</a></li>
          
          {% if perms.core.view_mascota %}
            <li><a href="{% url 'listarMascota' %}">Listar Mascotas</a></li>
          {% endif %}
          {% if user.is_authenticated %}
            <li><a href="{% url 'logout' %}">Cerrar Sesión</a></li>
            <li><a href="#">Usuario: {{ user.username }}</a></li>
          {% else %}
          <li><a href="{% url 'login' %}">Logearse</a></li>
          <li><a href="{% url 'registro' %}">Registrate</a></li>
          {% endif %}
          
          

        </ul>

      </nav>

    </section>
    <section id="contentIndex">


      {% block contenido %}

      {% endblock %}

      <footer id="credits">
        <p>Desarrollo Web y Mobile</p>
      </footer>
  </div>
</body>

</html>